Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDecimate::VertexArray Class Reference

`#include <vtkDecimate.h>`

Collaboration diagram for vtkDecimate::VertexArray:

[legend]
List of all members.

## Public Methods

| VertexArray (const vtkIdType sz)
| ~VertexArray ()
vtkIdType | GetNumberOfVertices ()
void | InsertNextVertex (LocalVertex &v)
LocalVertex & | GetVertex (vtkIdType i)
void | Reset ()

## Public Attributes

LocalVertex * | Array
vtkIdType | MaxId

## Constructor & Destructor Documentation

vtkDecimate::VertexArray::VertexArray | ( | const vtkIdType | sz | ) | `[inline]`

| Definition at line 283 of file vtkDecimate.h. References vtkIdType.

vtkDecimate::VertexArray::~VertexArray | ( |  | ) | `[inline]`

| Definition at line 285 of file vtkDecimate.h.

## Member Function Documentation

vtkIdType vtkDecimate::VertexArray::GetNumberOfVertices | ( |  | ) | `[inline]`

| Definition at line 286 of file vtkDecimate.h. References vtkIdType.

void vtkDecimate::VertexArray::InsertNextVertex | ( | LocalVertex & | v | ) | `[inline]`

| Definition at line 287 of file vtkDecimate.h.

LocalVertex& vtkDecimate::VertexArray::GetVertex | ( | vtkIdType | i | ) | `[inline]`

| Definition at line 289 of file vtkDecimate.h. References vtkIdType.

void vtkDecimate::VertexArray::Reset | ( |  | ) | `[inline]`

| Definition at line 290 of file vtkDecimate.h.

## Member Data Documentation

LocalVertex* vtkDecimate::VertexArray::Array

| Definition at line 292 of file vtkDecimate.h.

vtkIdType vtkDecimate::VertexArray::MaxId

| Definition at line 293 of file vtkDecimate.h.

The documentation for this class was generated from the following file:

- Patented/vtkDecimate.h